Delete OAS API.
curl --request DELETE \
--url https://{tenant}/api/apis/oas/{apiId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/apis/oas/{apiId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/apis/oas/{apiId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "API deleted.",
"Meta": null,
"Status": "OK"
}{
"Message": "Could not delete the API.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/apis/oas/{apiId}",
"Meta": null,
"Status": "Error"
}{
"Message": "Could not retrieve API detail.",
"Meta": null,
"Status": "Error"
}OAS APIs
Delete OAS API.
Deleting an API definition will remove the file from the file store. The API definition will not be unloaded and a separate reload request will need to be made to disable the API endpoint.
DELETE
/
api
/
apis
/
oas
/
{apiId}
Delete OAS API.
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
ID of the API you want to delete.
Query Parameters
When set to true and the API is a base API with child versions, all child API versions will be deleted along with the base API. If false or not provided, child versions will remain as independent APIs.
Was this page helpful?
⌘I